$! MAKE_FORMS_VMS.COM
$! 5-NOV-1996, David Mathog, Biology Division, Caltech
$!
$! build procedure for FORMS library
$!
$! here's hoping that it's all strict ANSI C...
$!
$! the extra defines needed here and there in the code, SIGBUS is not
$! part of ANSI C.
$!
$ mycc0 := cc/nolis/EXTERN=COMMON_BLOCK/prefix=all
$ mycc1 := cc/nolis/standard=ansi89/prefix=all -
    /define=(MAKING_FORMS,NO_STRDUP,SIGBUS=10,SIGUSR1=16, SIGUSR2=17) -
    /include=[-...]/EXTERN=COMMON_BLOCK
$ mycc2 := cc/nolis/standard=ansi89/prefix=all -
    /define=(MAKING_FORMS,NO_STRDUP,SIGBUS=10,SIGUSR1=16, SIGUSR2=17,-
             _XOPEN_SOURCE_EXTENDED) -
    /include=[-...]/EXTERN=COMMON_BLOCK
$ mycc3 := cc/nolis/standard=ansi89/prefix=all -
    /define=(MAKING_FORMS,NO_STRDUP,SIGBUS=10,SIGUSR1=16, SIGUSR2=17,-
             _POSIX_C_SOURCE) -
    /include=[-...]/EXTERN=COMMON_BLOCK
$!
$! create the forms.h file
$!
$!  use the one from Seaview instead, it seems to work better
$!    append/new [.include]*.h []forms.h
$!
$! compile everything
$  doone: subroutine
$    foo = f$parse(P1,,,"NAME")
$    file = f$search("''foo'.OBJ")
$    if(file .eqs. "")
$    then
$      write sys$output " compiling ''P1'"
$      mycc'P2' 'P1'
$    else
$      write sys$output " exists    ''foo'.OBJ"
$    endif
$    exit
$  endsubroutine
$!
$ call doone ALIGN.C 1
$ call doone APPWIN.C 1
$ call doone ASYN_IO.C 2
$ call doone BE.C 1
$ call doone BITMAP.C 1
$ call doone BOX.C 1
$ call doone BROWSER.C 1
$ call doone BUTTON.C 1
$ call doone CANVAS.C 1
$ call doone CHART.C 1
$ call doone CHECKBUT.C 1
$ call doone CHILD.C 1
$ call doone CHOICE.C 1
$ call doone CLOCK.C 1
$ call doone CMD_BR.C 3
$ call doone COLSEL.C 1
$ call doone COUNTER.C 1
$ call doone CURSOR.C 1
$ call doone DIAL.C 1
$ call doone EVENTS.C 1
$ call doone FLCOLOR.C 1
$ call doone FLDRAW.C 1
$ call doone FLRESOURCE.C 1
$ call doone FLVISUAL.C 1
$ call doone FONTS.C 1
$ call doone FORMS.C 1
$ call doone FRAME.C 1
$ call doone FREE.C 1
$ call doone FSELECT.C 1
$ call doone GL.C 1
$ call doone GOODIE_ALERT.C 1
$ call doone GOODIE_CHOICE.C 1
$ call doone GOODIE_INPUT.C 1
$ call doone GOODIE_MSG.C 1
$ call doone GOODIE_SINPUT.C 1
$ call doone GOODIE_YESNO.C 1
$ call doone GOODIES.C 1
$ call doone INPUT.C 1
$ call doone INTERPOL.C 1
$ call doone KEYBOARD.C 1
$ call doone LFRAME.C 1
$ call doone LIGHTBUT.C 1
$ call doone LISTDIR.C 1
$ call doone MENU.C 1
$! call doone MESA.C 1
$ call doone OBJECTS.C 1
$ call doone ONELINER.C 1
$ call doone PIXMAP.C 1
$ call doone POSITIONER.C 1
$ call doone ROUND3D.C 1
$ call doone ROUNDBUT.C 1
$ call doone SIGNAL.C 1
$ call doone SIMU.C 1
$ call doone SLDRAW.C 1
$ call doone SLIDER.C 1
$ call doone STRDUP.C 1
$ call doone SYMBOLS.C 1
$ call doone SYSDEP.C 0
$ call doone TEXT.C 1
$ call doone TEXTBOX.C 1
$ call doone TIMEOUT.C 1
$ call doone TIMER.C 1
$ call doone UTIL.C 1
$ call doone VERSION.C 1
$ call doone WIN.C 1
$ call doone XDRAW.C 1
$ call doone XPOPUP.C 1
$ call doone XSUPPORT.C 1
$ call doone XTEXT.C 1
$ call doone XYPLOT.C 1
$! [.ULIB] pieces
$ call doone [.ULIB]ERRMSG.C 1
$ call doone [.ULIB]N2A.C 1
$ call doone [.ULIB]SPACE.C 1
$ call doone [.ULIB]VSTRCAT.C 1
$!
$ lib/create/object xforms.olb *.obj
$!
$ rename xforms.olb [-]
$!
$ write sys$output "Forms object library created"
